Bug 449284 - Evolution changes all mail from New to Old whenever it opens.
Evolution changes all mail from New to Old whenever it opens.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-01 14:25 EDT by Luke Macken
Modified: 2016-09-19 22:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-06-01 14:25:00 EDT
Description of problem:

I'm a mutt user, but occasionally use evolution for some things.  My setup
consists of local maildir folders.  The problem is, that even when I open
evolution for a few seconds, it marks all of my new mails as "old".  So when I
fire up mutt all of the 'N' messages are now 'O', and thus I am not notified
that these folders have new messages.

Version-Release number of selected component (if applicable):
evolution-2.22.2-1.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Fire up evolution
2. Try and close it as fast as possible
  
Actual results:
Evolution churns for a long time when trying to close it.  When I open mutt, all
of my new messages are now flagged as old.

Expected results:
Evolution should not change any emails just by opening and closing the program.
Comment 1 Nicholas Miell 2008-06-03 14:13:57 EDT
This is a direct result of the Maildir format being underspecified.

The two relevant paragraphs in the spec are:

     Files in cur are just like files in new.  The big difference
     is that files in cur are no longer new mail:  they have been
     seen by the user's mail-reading program.

and:

     It looks through the new directory for  new  messages.   Say
     there  is  a new message, new/unique.  The reader may freely
     display the contents of new/unique,  delete  new/unique,  or
     rename      new/unique      as     cur/unique:info.      See
     http://pobox.com/~djb/maildir.html for the meaning of info.

Evolution, upon seeing mail in new, adds the mail to it's own database and then
moves it to cur. This is correct under this spec (such as it is) -- the
mail-reading program has seen the mail, so it is no longer new and it is free to
do anything it wants with the mail, such as rename it to cur/unique:info.

On the other hand, the Courier Maildir+ format says the following:

     When opening a maildir or a maildir folder, read the tmp subdirectory and
     delete any files in there that are at least 36 hours old.

     Look for new messages in the new subdirectory. Rename new/filename, as
     cur/filename:2,info.

which describes exactly what Evolution does.

Mutt abuses the maildir format to offer three messages states (new, old, read)
instead of the usual two (unread, read) and and notes the distinction between
new and old/read by leaving the mail in the new folder which is suspect under
the original spec and wrong under the Maildir+ spec.

(Also, this bug should be against evolution-data-server, not evolution, but I
lack permission to change it.)
Comment 2 Bug Zapper 2009-06-09 21:20:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matthew Barnes 2009-06-21 09:08:21 EDT
Is this bug still present on Fedora 11 or later?
Comment 4 Bug Zapper 2009-07-14 12:00:15 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.